Build RPM PHP with oci8 on Oracle 10g Database - RHEL4

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!


I'm Julien from France,
We have recently install a new Web Server for my company

The server is composed :
       - Linux RedHat RHEL4 U4
       - Httpd-2.0.52-27.ent
       - Oracle Database
               -> install in /oracle
               -> ORACLE_HOME is /oracle/ora102
       - Php-4.3.9-3.15

On my website, some pages have to connect with php to Oracle  

Actually those pages work on a Windows 2000 Server with Apache and
Oracle Database 8i with fonctions ora_conn, ora_parse ...

But I see that that to be compatible with Oracle 10g, we have to use  
oci8 fonctions.

To do that i download the source package of php-4.3.9-3.15 and  
php.spec file :

       --with-kerberos \
       --with-ldap=shared \
       --with-mysql=shared,% \

 ->     % \

       % \
       % \

I rebuild the RPM with this spec and thoses command :

#rpmbuild -bb --with oci8=/oracle/ora102  

=> erreur: Dpendances de construction manquantes:
       oracle-instantclient-devel >= 10 est ncessaire pour

#rpmbuild -bb --with oci8=/oracle/ora102 --nodeps

=> Build complete.
(It is safe to ignore warnings about tempnam and tmpnam).

+ popd
+ exit 0
Exécution_de(%install): /bin/sh -e /var/tmp/rpm-tmp.56667
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd php-4.3.9
+ export LANG
+ unset DISPLAY
+ '[' /var/tmp/php-root '!=' / ']'
+ rm -rf /var/tmp/php-root
+ pushd build-cgi
/usr/src/redhat/BUILD/php-4.3.9/build-cgi /usr/src/redhat/BUILD/php-
+ make install INSTALL_ROOT=/var/tmp/php-root
Installing PHP SAPI module:       cgi
Installing PHP CGI into: /var/tmp/php-root/usr/bin/
Installing shared extensions:     /var/tmp/php-root/usr/lib/php4/
Installing PEAR environment:      /var/tmp/php-root/usr/share/pear/
[PEAR] Archive_Tar    - installed: 1.1
[PEAR] Console_Getopt - installed: 1.2
[PEAR] PEAR           - installed: 1.3.2
Wrote PEAR system config file at: /var/tmp/php-root//etc/pear.conf
You may want to add: /usr/share/pear to your php.ini include_path
[PEAR] DB             - installed: 1.6.2
[PEAR] HTTP           - installed: 1.2.2
[PEAR] Mail           - installed: 1.1.3
[PEAR] Net_SMTP       - installed: 1.2.3
[PEAR] Net_Socket     - installed: 1.0.1
[PEAR] XML_Parser     - installed: 1.0.1
[PEAR] XML_RPC        - installed: 1.1.0
Installing build environment:     /var/tmp/php-
Installing header files:          /var/tmp/php-root/usr/include/php/
Installing helper programs:       /var/tmp/php-root/usr/bin/
 program: phpize
 program: php-config
 program: phpextdist
+ popd
+ pushd build-apache
+ make install-sapi INSTALL_ROOT=/var/tmp/php-root
Installing PHP SAPI module:       cgi
Installing PHP CGI into: /var/tmp/php-root/usr/bin/
+ popd
+ install -m 755 -d /var/tmp/php-root/etc/
+ install -m 644 php.ini-recommended /var/tmp/php-root/etc/php.ini
+ install -m 755 -d /var/tmp/php-root/var/www/icons
+ install -m 644 php.gif /var/tmp/php-root/var/www/icons/
+ install -m 755 -d /var/tmp/php-root/usr/lib/httpd/modules
+ install -m 755 build-apache/libs/
install: cannot stat `build-apache/libs/': No such file or
error: Bad exit status from /var/tmp/rpm-tmp.56667 (%install)

Eroor building RPM:
   Bad exit status from /var/tmp/rpm-tmp.56667 (%install)

#rpmbuild -bb /usr/src/redhat/SPECS/php.spec
=> same result that the preceding command

My problem is that the compilation dont make the but i  
need it.

If someone have the same problem. Thanks to help me


--------------------------------- --- -- -
Posted with NewsLeecher v3.8 Final
Web @
------------------- ----- ---- -- -

Site Timeline